package com.iamberry.rent.face.order;

import java.util.List;

import com.iamberry.wechat.core.entity.rent.PledgeCouponInfo;
import com.iamberry.wechat.core.entity.rent.ServiceCouponInfo;

public interface ServiceCouponService {

	/**
	 * 查询优惠券
	 * @param info
	 * @return
	 * @author 献
	 * @Time   2017年3月13日
	 */
	List<ServiceCouponInfo> list(ServiceCouponInfo info);
	
	/**
	 * 添加服务费抵扣券
	 * @param couponInfo
	 * @return
	 */
	Integer saveServiceCoupon(ServiceCouponInfo couponInfo);
	
	/**
	 * 添加押金提取券
	 * @param pledgeCouponInfo
	 * @return
	 */
	Integer savePledgeCoupon(PledgeCouponInfo pledgeCouponInfo);
	
	/**
	 * 根据条件查询押金提取券信息
	 * @param pledgeCouponInfo
	 * @return
	 */
	List<PledgeCouponInfo> listPledgeCoupon(PledgeCouponInfo pledgeCouponInfo);

	/**
	 * 修改押金提取券状态
	 * @param pledgeCouponInfo
	 * @return
	 */
	Integer updatePledgeCouponStatus(PledgeCouponInfo pledgeCouponInfo);
}
